curl --request GET \
--url https://api.jup.ag/prediction/v1/positions/{positionPubkey} \
--header 'x-api-key: <api-key>'{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"isYes": true,
"contracts": "<string>",
"totalCostUsd": "<string>",
"sizeUsd": "<string>",
"valueUsd": "<string>",
"avgPriceUsd": "<string>",
"markPriceUsd": "<string>",
"sellPriceUsd": "<string>",
"pnlUsd": "<string>",
"pnlUsdPercent": 123,
"pnlUsdAfterFees": "<string>",
"pnlUsdAfterFeesPercent": 123,
"openOrders": 1,
"feesPaidUsd": "<string>",
"realizedPnlUsd": 123,
"claimed": true,
"claimedUsd": "<string>",
"openedAt": 123,
"updatedAt": 123,
"claimableAt": 123,
"payoutUsd": "<string>",
"bump": 1,
"eventId": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"provider": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"settlementDate": 123,
"claimable": true,
"contractsMicro": "<string>",
"contractsDecimal": "<string>",
"source": "<string>",
"maxSlippageBps": 1
}Get Position
Get detailed information about a specific position
curl --request GET \
--url https://api.jup.ag/prediction/v1/positions/{positionPubkey} \
--header 'x-api-key: <api-key>'{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"isYes": true,
"contracts": "<string>",
"totalCostUsd": "<string>",
"sizeUsd": "<string>",
"valueUsd": "<string>",
"avgPriceUsd": "<string>",
"markPriceUsd": "<string>",
"sellPriceUsd": "<string>",
"pnlUsd": "<string>",
"pnlUsdPercent": 123,
"pnlUsdAfterFees": "<string>",
"pnlUsdAfterFeesPercent": 123,
"openOrders": 1,
"feesPaidUsd": "<string>",
"realizedPnlUsd": 123,
"claimed": true,
"claimedUsd": "<string>",
"openedAt": 123,
"updatedAt": 123,
"claimableAt": 123,
"payoutUsd": "<string>",
"bump": 1,
"eventId": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"provider": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"settlementDate": 123,
"claimable": true,
"contractsMicro": "<string>",
"contractsDecimal": "<string>",
"source": "<string>",
"maxSlippageBps": 1
}Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Position account public key
1Response
Position data
Position account public key
Position owner public key
Position owner public key (alias of owner, prefer ownerPubkey going forward)
Deterministic market PDA derived from marketId
External market identifier (ticker)
Hashed market identifier used for on-chain PDAs
True if this is a YES position
Legacy whole-contract quantity held. Use contractsMicro or contractsDecimal for the exact fractional quantity.
Total cost basis in micro USD (u128 as string)
Alias of total cost basis in micro USD (u128 as string)
Mark-to-market value in micro USD (u128 as string); null once market is closed
Average entry price per contract in micro USD (u64 as string)
Current mark price per contract in micro USD (u64 as string); null once market is closed
Current best exit price for this side (micro USD string), or null when unavailable
Unrealized PnL in micro USD (i128 as string); null once market is closed
Unrealized PnL percentage relative to size; null once market is closed
Unrealized PnL after fees in micro USD (i128 as string); null once market is closed
Unrealized PnL after fees percentage relative to size; null once market is closed
Number of open orders
x >= 0Total fees paid in micro USD (u64 as string)
Realized PnL in micro USD (i64 as number)
Whether payout has been claimed
Amount claimed in micro USD (u64 as string)
Unix timestamp when the position was opened
Unix timestamp of the last position update
Unix timestamp (seconds) when the position becomes claimable; null when unavailable
Notional payout if position wins (contracts * $1)
x >= 0External event identifier if available
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds) when the market settles; null when unavailable
True when the position qualifies for payout claim
Contracts held in micro-contract units (u64 as string, 1000000 = 1 contract)
Contracts held as a decimal string
Origin of the position (e.g. "program")
Maximum slippage recorded for the position, in basis points
x >= 0Was this page helpful?
